GRANT EXECUTE on DBMS_LOGMNR to dbadmin;
GRANT SELECT on V_$LOGMNR_LOGS to dbadmin;
GRANT SELECT on V_$LOGMNR_CONTENTS to dbadmin;
GRANT CREATE SESSION TO dbadmin;
GRANT SELECT ANY TRANSACTION TO dbadmin;
GRANT SELECT ON V_$ARCHIVED_LOG TO dbadmin;
GRANT SELECT ON V_$LOG TO dbadmin;
GRANT SELECT ON V_$LOGFILE TO dbadmin;
GRANT SELECT ON V_$LOGMNR_LOGS TO dbadmin;
GRANT SELECT ON V_$LOGMNR_CONTENTS TO dbadmin;
GRANT SELECT ON V_$DATABASE TO dbadmin;
GRANT SELECT ON V_$THREAD TO dbadmin;
GRANT SELECT ON V_$PARAMETER TO dbadmin;
GRANT SELECT ON V_$NLS_PARAMETERS TO dbadmin;
GRANT SELECT ON V_$TIMEZONE_NAMES TO dbadmin;
GRANT SELECT ON V_$TRANSACTION TO dbadmin;
GRANT SELECT ON V_$CONTAINERS TO dbadmin;                   
GRANT SELECT ON ALL_INDEXES TO dbadmin;
GRANT SELECT ON ALL_OBJECTS TO dbadmin;
GRANT SELECT ON ALL_TABLES TO dbadmin;
GRANT SELECT ON ALL_USERS TO dbadmin;
GRANT SELECT ON ALL_CATALOG TO dbadmin;
GRANT SELECT ON ALL_CONSTRAINTS TO dbadmin;
GRANT SELECT ON ALL_CONS_COLUMNS TO dbadmin;
GRANT SELECT ON ALL_TAB_COLS TO dbadmin;
GRANT SELECT ON ALL_IND_COLUMNS TO dbadmin;
GRANT SELECT ON ALL_ENCRYPTED_COLUMNS TO dbadmin;
GRANT SELECT ON ALL_LOG_GROUPS TO dbadmin;
GRANT SELECT ON ALL_TAB_PARTITIONS TO dbadmin;
GRANT SELECT ON SYS.DBA_REGISTRY TO dbadmin;
GRANT SELECT ON SYS.OBJ$ TO dbadmin;
GRANT SELECT ON DBA_TABLESPACES TO dbadmin;
GRANT SELECT ON DBA_OBJECTS TO dbadmin;
GRANT SELECT ON SYS.ENC$ TO dbadmin;
GRANT SELECT on ALL_VIEWS to dbadmin;
